Keine Rechtschreibkorrektir seit 56.0.1

Du benötigst Hilfe bezüglich Firefox? Bitte stelle deine Frage im öffentlichen Bereich des Forums und nicht per Konversation an wahllos ausgesuchte Benutzer. Wähle dazu einen passenden Forenbereich, zum Beispiel „Probleme auf Websites“ oder „Erweiterungen und Themes“ und klicke dann rechts oben auf die Schaltfläche „Neues Thema“.
  • Hi,
    nach verschiedenen Problemen nach den update auf 56.0.1 (wegen gmx.at) habe ich mein Profil bereinigt und dann versucht alles wieder herzustellen - naja, es gibt Schöneres.


    Das Gmx-Problem liegt an uMatrix (ich muss es als AddOn komplett deaktivieren).


    Darüber hinaus funktioniert nach dem update die Rechtschreibkorrektur nicht mehr?
    Egal, wo ich was in welcher Sprache einigeben will - Fehller werden nicht angezzeigt. :grr:


    Ich habe Wörterbücher Deu. und Eng. installiert und kann auch nicht mehr die Sprache wählen? Vorher konnte ich mit dem Menü hinter der rechten Maustaste 'meine' Sprachen wählen - auch weg. :grr:


    Zwar habe ich Quick Local Switcher installiert und das zeigt jetzt zB. korrekt die deutsche Flagge, aber nützen tut mir das auch nix! (Auch wenn dieses AddOn deinstalliert ist, funktionert die Korrektur nicht).


    Klar habe ich in Extras => Einstellungen => Allgemein =>


    Sprache
    Bevorzugte Sprachen für die Darstellung von Websites wählen
    x Rechtschreibung während der Eingabe überprüfen


    aktiviert - aber das erscheint jetzt nutzlos, wenn es nix macht? :-???


    Klick ich auf die Box mit Wählen... sehe ich drei Sprachen Deu, Eng (USA) , Eng (GB) in dieser Reiehnfolge der bevorzugten Sprachen.


    Was soll ich noch machen?
    Die hier: https://support.mozilla.org/en…use-firefox-spell-checker angebene Hilfe scheint aus outdated zu sein!

    Ceterum censeo fenestras X non esse ad rem accommodatas

    Einmal editiert, zuletzt von hhmmppff ()

  • Das sind keine Wörterbücher, sondern Sprachpakete. Damit kannst Du Firefox in einer anderen Sprache anzeigen, es hat aber nichts mit Rechtschreibkorrektur zu tun.


    Hier findest Du alle Wörterbücher und Sprachpakete. Bitte suche das Wörterbuch Deiner Wahl aus der Spalte Wörterbuch aus. Deutsch findest Du dort unter German.

  • hä? nein, das ist das einzige Wörterbuch was ich installiert habe. Wie kommst du darauf dass es ein Sprachpaket ist?

    Hilfe auch im deutschsprachigen Matrix-Chat möglich oder im IRC-Chat
    Meine Anleitungstexte dürfen gerne "geklaut" und weiter verwendet/kopiert werden
    ;)

  • https://addons.mozilla.org/en-…english-gb-language-pack/ ist auf AMO unter Erweiterungen gelistet und ich kann es nicht in Fx 58 installieren. Wörterbücher können aber in jedem Fx installiert werden, auch in Nightlys.


    Und laut https://www.deepl.com/translate heisst language pack Sprachpaket



    [attachment=0]lang.png[/attachment]

  • Daran lag es nicht. Ich konnte es lösen, indem ich unter
    Extras => Einstellungen => Allgemein => Sprache
    die unter Wählen.. existierenden Wörterbücher zuerst alle gelöscht und dann wieder neu hinzugefügt habe.

    Ceterum censeo fenestras X non esse ad rem accommodatas

    Einmal editiert, zuletzt von hhmmppff ()

  • ok, das eine ist wirklich nicht in nightly installierbar, trotzdem habe ich NUR Wörterbücher verlinkt und kein Sprachpaket. ok, das eine war wirklich ein Sprachpaket, es ließ sich aber auch in nightly gar nicht erst installieren. Der erste Link war aber trozdem ein Wörterbuch und das andere auch und diese beiden ließen sich auch installieren in nightly 58


    EDIT2: ach jetzt verstehe ich die Verwirrung: ihr meintet mit erster Link den ersten Link in meinem Beitrag #5 und ich meinte mit ersten Link den Link in Beitrag #2
    Mea culpa


    https://mozhelp.dynvpn.de/date…um/ff-w%C3%B6rterbuch.gif

    Hilfe auch im deutschsprachigen Matrix-Chat möglich oder im IRC-Chat
    Meine Anleitungstexte dürfen gerne "geklaut" und weiter verwendet/kopiert werden
    ;)

    2 Mal editiert, zuletzt von Zitronella ()

  • Sind language packs keine Wörterbücher, ein Buch oder Datei mit viele, vielen Wörtern?

    Ceterum censeo fenestras X non esse ad rem accommodatas

  • Nein, gewöhnlich beziehen sich language packs nur auf bestimmte Anwendungen. Zumindest verstehe ich das so.
    Es kommt z.B. realativ häufig vor, das die Basis-Version einer Software in einer bestimmten Sprache - meist englisch - erhältlich ist und man dann zusätzliche Sprachpakete installieren kann.

    Windows 10 | FF 62.0 (64-Bit) / FF 61.0 (64-Bit) / FF 63.0 (64-Bit)


  • Nein, mit language packs (Sprachpaketen) kannst Du die Sprache der Oberfläche ändern und Wörterbücher sind eben zur Korrektur das Geschriebenen zuständig. Das ist aber bei fast allen Programmen so, z. B. bei Office-Paketen.


    Huuch, da die language packs das Geschrieben in Webseiten korrigieren sollen, wären es also doch Wörterbücher?
    Außerdem, wie ich jetzt bemerkte, es müssen deutsche und englische Wörterbücher zur Korrektur geladen werden, nicht die Sprachpakete!

    Ceterum censeo fenestras X non esse ad rem accommodatas

  • Sehr vereinfacht dargestellt:
    ein Language Pack macht einen englischen Firefox zum deutschen.
    ein Wörterbuch brauchst du zum nachschlagen oder z.B. für die Korrektur

    MfG
    Geldhügel

  • Das aktuelle Wörterbuch für die neue Rechtschreibung ist


    das hier


    Zu finden über die Seite https://addons.mozilla.org/de/firefox/language-tools/


    Das ist der Link, den Road-Runner in seinem Beitrag #4 angegeben hat. Man kann auch in AMO über den Link MEHR... --> Wörterbücher & Sprachpakete gehen und kommt auf diese Seite, wo man beides hat: Wörterbücher und Sprachpakete. Man kann übrigens Wörterbücher in Sprachpakete mit einbauen, das ist aber nicht üblich. Als ich noch Firefox inoffiziell ins Sorbische übersetzt habe, also meine Sprachpakete selbst gemacht habe, habe ich die Wörterbuch-Dateien mit ins Sprachpaket eingebaut.

    Übersetzer für Obersorbisch und Niedersorbisch auf pontoon.mozilla.org u.a. für Firefox, Firefox für Android, Firefox für iOS, Firefox Klar/Focus für iOS und Android, Thunderbird, Pootle, Django, LibreOffice und WordPress

  • Übrigens: Man kann im Add-on-Manager gut sehen, was installiert ist: Es gibt dann entweder die Kategorie "Sprachen" bei installiertem Sprachpaket oder Wörterbücher bei installiertem Wörterbuch oder beides, wenn sowohl als auch installiert ist.

    Übersetzer für Obersorbisch und Niedersorbisch auf pontoon.mozilla.org u.a. für Firefox, Firefox für Android, Firefox für iOS, Firefox Klar/Focus für iOS und Android, Thunderbird, Pootle, Django, LibreOffice und WordPress